Skip to main content
`Ctrl`+`K`

# SNESInitialGuessFn

A prototype of a `SNES` compute initial guess function that would be passed to `SNESSetComputeInitialGuess()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode(SNESInitialGuessFn)(SNES snes, Vec u, void *ctx);

## Calling Sequence

- snes - `SNES` context

- u - output vector to contain initial guess

- ctx - [optional] user-defined function context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetComputeInitialGuess()`, `SNESSetFunction()`, `SNESGetFunction()`, `SNESJacobianFn`, `SNESFunctionFn`

## Level

beginner

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages